/*
 * SkyLoad.c  ver 1.0
 * This program loads the firmware of the Skymedia-200.
 * You should run this program at every time you boot your machine.
 *
 * This program is by Kang-Hyuk Lee at Telemann.
 * If you have any question or opinion, please e-mail to <info@telemann.com>
 *
 * NOTE : This is ONLY for TELEMANN SkyMedia-200 .
 *
 */


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "sm2_lib.h"


int main(int argc,char *argv[])
{

	int result;
	char fname[255];	
	if(argc < 1)
	{
		printf("sky_load: argument error \n");
	}

	if(argv[1] == NULL)
	{
		strcpy(fname,"skymedia.bin");	/* default file name */
	}
	else
	{
		strcpy(fname, argv[1]);
	}
	result = Sky_LoadFirmware(fname);
	if(result)
	{
		printf("SKYMEDIA: firmware load failed.\n");
	}

	return(0);
}
