# Change it here or specify it on the "make" commandline

CFLAGS = -Wall -c -DSM200

LIB_MODULE=sm2_lib.o
RELEASE_DIR=../Release
APP_DIR=../app/text
OBJS = sm2_sys.o sm2_lib_obj.o
LD = ld

all: $(OBJS)
	ld -r $(OBJS) -o $(LIB_MODULE)
	cp sm2_lib.o $(APP_DIR)
install: $(OBJS)
	cp $(LIB_MODULE) $(RELEASE_DIR)
	cp sm2_lib.h $(RELEASE_DIR)

sm2_sys.o : sm2_sys.c
	gcc $(CFLAGS) sm2_sys.c

clean :
	rm -f sm2_sys.o $(LIB_MODULE)
