# Change it here or specify it on the "make" commandline

CFLAGS = -DMODULE -D__KERNEL__ -Wall -c -DSM200 -O

RELEASE_DIR=../Release
DRIVER_MODULE=sm200_lnx.o
INCLUDE_FILE=sm2_drv.h
OBJS = sm2_drv.o sm2_bin.o
LD = ld

all: $(OBJS)
	$(LD) -r $(OBJS) -o $(DRIVER_MODULE)

install: $(OBJS)
	cp $(DRIVER_MODULE) $(RELEASE_DIR)
	cp $(INCLUDE_FILE) $(RELEASE_DIR)

sm2_drv.o : sm2_drv.c
	gcc $(CFLAGS) sm2_drv.c

clean :
	rm -f sm2_drv.o $(DRIVER_MODULE)
